<?php

class Bemutato extends CI_Controller {
	
	public function __construct() {
		parent::__construct();
		
		if (!$this->hitelesito->is_authenticated()) {
			redirect('auth/index');
		}
		
		$this->load->model('bemutato_model');
		//$this->load->helper('url'); //TODO autoloadba rakni
		$this->load->library('template');

		if ($this->hitelesito->is_authenticated()) {
			$data = array(
				'belepve'	=> true,
				'azonosito'	=> $this->session->userdata('azonosito'),
				'id'		=> $this->session->userdata('id'),
			);
		}
		else {
			$data = array(
				'belepve'	=> false,
			);
		}
		$this->load->vars($data);

	}
	
	public function lista() {
		$felhasznalo_id = $this->session->userdata('id');
		$bemutatok = $this->bemutato_model->bemutato_lista($felhasznalo_id);
		$azonosito = $this->session->userdata('azonosito');
		
		$this->template->display('lista', array(
			'azonosito'	=> $azonosito,
			'bemutatok'	=> $bemutatok,
		));
	}
	
	public function uj() {
		$felhasznalo_id = $this->session->userdata('id');
		
		$this->load->helper('form');
		$this->load->library('form_validation');
		
		$szabalyok = array(
			array(
				'field' => 'cim',
				'label' => 'Cím',
				'rules' => 'trim|required',
			),
			array(
				'field' => 'leiras',
				'label' => 'Leírás',
				'rules' => 'trim|required',
			),
		);
		$this->form_validation->set_rules($szabalyok);
		
		if ($this->form_validation->run() == FALSE)
		{
			$this->template->display('uj_bemutato');
		}
		else
		{
			$bemutato_id = $this->bemutato_model->beszur_adatok(array(
				'felhasznalo_id'	=> $felhasznalo_id,
				'cim'				=> set_value('cim'),
				'leiras'			=> set_value('leiras'),
			));
			redirect("bemutato/szerkeszt/{$bemutato_id}");
		}
	}
	
	public function szerkeszt($bemutato_id) {
		$felhasznalo_id = $this->session->userdata('id');
		
		$bemutato = $this->bemutato_model->bemutato_adatai($bemutato_id);
		$kepek = $this->bemutato_model->bemutato_kepei($bemutato_id, FALSE);

		$this->template->display('keplista', array(
			'bemutato_id' => $bemutato_id,
			'bemutato'	=> $bemutato,
			'kepek' => $kepek,
		//	'feltoltesi_hibak'	=> $feltoltesi_hibak,
		));
	}
	
	public function bemutato_szerkeszt($bemutato_id) {
		$felhasznalo_id = $this->session->userdata('id');

		
		$this->load->helper('form');
		$this->load->library('form_validation');
		
		$szabalyok = array(
			array(
				'field' => 'cim',
				'label' => 'Cím',
				'rules' => 'trim|required',
			),
			array(
				'field' => 'leiras',
				'label' => 'Leírás',
				'rules' => 'trim|required',
			),
			array(
				'field' => 'publikus',
				'label' => 'Publikus',
				'rules' => '',
			),
			array(
				'field' => 'cimkek',
				'label' => 'Címkék',
				'rules' => 'trim',
			),
		);
		
		//TODO Megnézni, hogy a tipus és a POSTolt submit gomb név konzisztens-e
		
		$this->form_validation->set_rules($szabalyok);
		
		if ($this->form_validation->run() != FALSE)
		{
			$this->bemutato_model->modosit(
				$bemutato_id,
				set_value('cim'),
				set_value('leiras'),
				set_value('publikus') == 'publikus',
				set_value('cimkek')
			);
			redirect("bemutato/szerkeszt/{$bemutato_id}");
		}
		else {
			$bemutato = $this->bemutato_model->bemutato_adatai($bemutato_id);

			$this->template->display('bemutato_szerkeszt', array(
				'bemutato_id' => $bemutato_id,
				'bemutato'	=> $bemutato,
			));
		}
	}
	
	public function uj_kep($bemutato_id) {
		$felhasznalo_id = $this->session->userdata('id');
		
		$this->load->helper('form');
		
		$config = array(
			'upload_path'		=> APPPATH.'fajlok/eredeti/',
			'allowed_types'		=> 'jpg|png|gif',
			'overwrite'			=> FALSE,
			'encrypt_name'		=> TRUE,
		);
		$this->load->library('upload', $config);

		$feltoltesi_hibak = null;
		if ( !$_FILES || ! $this->upload->do_upload('ujkep'))
		{
			$feltoltesi_hibak = $this->upload->display_errors('<li>', '</li>');
			$bemutato = $this->bemutato_model->bemutato_adatai($bemutato_id);

			$this->template->display('uj_kep', array(
				'bemutato_id'		=> $bemutato_id,
				'bemutato'			=> $bemutato,
				'feltoltesi_hibak'	=> $feltoltesi_hibak,
			));
		}
		else
		{
			$feltoltesi_adatok = $this->upload->data();
			$this->bemutato_model->feltolt_kep($bemutato_id, $feltoltesi_adatok);
			redirect("bemutato/szerkeszt/{$bemutato_id}");
		}
	}
	
	public function kep_mozgat($bemutato_id, $kep_id, $mennyivel) {
		//TODO jogosultságellenőrzés: a bejelentkezett felhasználónak van-e joga az adott bemutatóhoz és képhez hozzáférnie
		$this->bemutato_model->sorszam_modosit($kep_id, $mennyivel);
		redirect("bemutato/szerkeszt/{$bemutato_id}");
	}
	
	public function kep_aktival($bemutato_id, $kep_id) {
		//TODO jogosultságellenőrzés: a bejelentkezett felhasználónak van-e joga az adott bemutatóhoz és képhez hozzáférnie
		$this->bemutato_model->aktiv_modosit($kep_id, TRUE);
		redirect("bemutato/szerkeszt/{$bemutato_id}");
	}
	
	public function kep_inaktival($bemutato_id, $kep_id) {
		//TODO jogosultságellenőrzés: a bejelentkezett felhasználónak van-e joga az adott bemutatóhoz és képhez hozzáférnie
		$this->bemutato_model->aktiv_modosit($kep_id, FALSE);
		redirect("bemutato/szerkeszt/{$bemutato_id}");
	}
	
	public function kep_torol($bemutato_id, $kep_id) {
		//TODO jogosultságellenőrzés: a bejelentkezett felhasználónak van-e joga az adott bemutatóhoz és képhez hozzáférnie
		$this->bemutato_model->kep_torol($kep_id);
		redirect("bemutato/szerkeszt/{$bemutato_id}");
	}
	
	public function kep_szerkeszt($bemutato_id, $kep_id) {
		//TODO jogosultságellenőrzés: a bejelentkezett felhasználónak van-e joga az adott bemutatóhoz és képhez hozzáférnie
		$this->load->helper('form');
		$this->load->library('form_validation');
		
		$szabalyok = array(
			array(
				'field' => 'cim',
				'label' => 'Cím',
				'rules' => 'trim|required',
			),
			array(
				'field' => 'leiras',
				'label' => 'Leírás',
				'rules' => 'trim',
			),
			array(
				'field' => 'hely',
				'label' => 'Hely',
				'rules' => 'trim',
			),
			array(
				'field' => 'lat',
				'label' => 'Lat',
				'rules' => 'trim',
			),
			array(
				'field' => 'lng',
				'label' => 'Lng',
				'rules' => 'trim',
			),
			array(
				'field' => 'aktiv',
				'label' => 'Aktív',
				'rules' => '',
			),
		);
		
		$this->form_validation->set_rules($szabalyok);
		
		if ($this->form_validation->run() == FALSE)
		{
			$kep = $this->bemutato_model->kep_adatai($kep_id);
			$bemutato = $this->bemutato_model->bemutato_adatai($bemutato_id);
			$kepek = $this->bemutato_model->bemutato_kepei($bemutato_id, false);

			$this->template->display('kep_szerkeszt', array(
				'bemutato_id'	=> $bemutato_id,
				'kep'			=> $kep,
				'kepek'			=> $kepek,
				'bemutato'		=> $bemutato,
			));
		}
		else {
			$this->bemutato_model->kep_modosit(
				$kep_id,
				set_value('cim'),
				set_value('leiras'),
				set_value('hely'),
				strlen(set_value('lat')) === 0 ? null : set_value('lat'),
				strlen(set_value('lng')) === 0 ? null : set_value('lng'),
				set_value('aktiv') == 'aktiv'
			);
			redirect("bemutato/szerkeszt/{$bemutato_id}");
		}
	}
	
	public function kedvenc($bemutato_id, $sorszam = null) {
		$this->load->helper('url');
		$felhasznalo_id = $this->session->userdata('id');
		
		$this->bemutato_model->kedvencce_tesz($felhasznalo_id, $bemutato_id);
		
		redirect("main/bemutato/{$bemutato_id}/{$sorszam}");
	}
	
	public function kedvenc_torol($bemutato_id, $sorszam = null) {
		$this->load->helper('url');
		$felhasznalo_id = $this->session->userdata('id');
		
		$this->bemutato_model->kedvencbol_torol($felhasznalo_id, $bemutato_id);
		
		redirect("main/bemutato/{$bemutato_id}/{$sorszam}");
	}
	
	public function torol($bemutato_id) {
		$felhasznalo_id = $this->session->userdata('id');
		
		$this->bemutato_model->bemutato_torol($bemutato_id);
		redirect("bemutato/lista/{$felhasznalo_id}");
	}
	
	public function profil() {
		show_error('Baj van');
		echo 'Még valami';
	}
}