<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="<?php echo base_url('styles/dyss.css'); ?>" rel="stylesheet" />
	</head>
	<body>
		<header>
			<div>
				<h1><?php echo anchor('main/index', 'DYSS'); ?></h1>
				<?php if ($belepve) : ?>
					<p><a href="<?php echo site_url('bemutato/lista'); ?>" class="button"><span><?php echo $azonosito; ?> fiókja</span></a> <a href="<?php echo site_url('auth/logout'); ?>" class="button"><span>Kilépés</span></a></p>
				<?php else : ?>
					<p><a href="<?php echo site_url('auth/index'); ?>" class="button"><span>Lépj be!</span></a> vagy <a href="<?php echo site_url('auth/regisztralas'); ?>" class="button"><span>Regisztrálj!</span></a></p>
				<?php endif; ?>

			</div>
		</header>
		<div id="outer_content">
			<div id="content">
				<div class="title">
					<h2><?php echo $bemutato['cim']; ?></h2>
					<p>
						<?php if ($kedvenc_e) : ?>
							<a href="<?php echo site_url("bemutato/kedvenc_torol/{$bemutato['id']}/{$sorszam}"); ?>" class="button"><span>Nem tetszik</span></a>
						<?php else : ?>
							<a href="<?php echo site_url("bemutato/kedvenc/{$bemutato['id']}/{$sorszam}"); ?>" class="button"><span>Tetszik</span></a>
						<?php endif; ?>						
					</p>
					<div class="separator"></div>
				</div>
				<div id="showroom">
					<?php if (!is_null($elozo_sorszam)) : ?>
						<a href="<?php echo site_url("main/bemutato/{$bemutato['id']}/{$elozo_sorszam}"); ?>" class="elozo"><span>Előző kép</span></a>
					<?php endif; ?>
					<?php if (!is_null($kovetkezo_sorszam)) : ?>
						<a href="<?php echo site_url("main/bemutato/{$bemutato['id']}/{$kovetkezo_sorszam}"); ?>" class="kovetkezo"><span>Következő kép</span></a>
					<?php endif; ?>
					<?php if (!is_null($nagy_kep)) : ?>
						<img src="<?php echo site_url("main/kep/". basename($nagy_kep['kepfajl'])); ?>" />
					<?php else : ?>
						A bemutató képet nem tartalmaz.
					<?php endif; ?>
				</div>
				<?php if (!empty($kepek)) : ?>
				<div id="belyegkepek">
					<ul>
						<?php foreach ($kepek as $kep) : ?>
						<li>
							<a href="<?php echo site_url("main/bemutato/{$bemutato['id']}/{$kep['sorszam']}"); ?>"><img src="<?php echo site_url("main/belyegkep/". basename($kep['belyegkepfajl'])); ?>" /></a>
						</li>
						<?php endforeach; ?>
					</ul>
				</div>	
				<?php endif; ?>
				<div id="adatok">
					<div class="bemutatoadat">
						<dl>
							<dt>Cím</dt>
							<dd><?php echo $bemutato['cim']; ?></dd>

							<dt>Leírás</dt>
							<dd><?php echo $bemutato['leiras']; ?></dd>

							<dt>Megtekintések száma:</dt>
							<dd><?php echo $bemutato['megtekintes_db']; ?></dd>

							<dt>Kedvencek száma:</dt>
							<dd><?php echo $bemutato['kedvencek_szama']; ?></dd>

							<dt>Létrehozás dátuma:</dt>
							<dd><?php echo $bemutato['letrehozas_datuma']; ?></dd>

							<dt>Publikus:</dt>
							<dd><?php echo $bemutato['publikus'] ? 'Publikus' : 'Nem publikus'; ?></dd>

							<dt>Felhasználó:</dt>
							<dd><?php echo $bemutato['azonosito']; ?></dd>

							<dt>Címkék</dt>
							<dd>
								<ul>
									<?php foreach ($bemutato['cimkek'] as $cimke) : ?>
									<li>
										<?php echo anchor("main/cimke/{$cimke['cimke']}", $cimke['cimke']); ?>
									</li>
									<?php endforeach; ?>
								</ul>
							</dd>
						</dl>
					</div>
					<div class="kepadat">
						<dl>
							<dt>Cím</dt>
							<dd><?php echo $nagy_kep['cim']; ?></dd>

							<dt>Leírás</dt>
							<dd><?php echo $nagy_kep['leiras']; ?></dd>

							<dt>Hely:</dt>
							<dd><?php echo $nagy_kep['hely']; ?></dd>

							<dt>Lat:</dt>
							<dd><?php echo $nagy_kep['lat']; ?></dd>

							<dt>Lng:</dt>
							<dd><?php echo $nagy_kep['lng']; ?></dd>
						</dl>
					</div>
					<div class="terkepadat">
						
					</div>
				</div>
				<div class="separator"></div>
			</div>
		</div>	
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
